#!/bin/sh

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.fuse3.new:
if [ -e etc/rc.d/rc.fuse3 ]; then
  cp -a etc/rc.d/rc.fuse3 etc/rc.d/rc.fuse3.new.incoming
  cat etc/rc.d/rc.fuse3.new > etc/rc.d/rc.fuse3.new.incoming
  mv etc/rc.d/rc.fuse3.new.incoming etc/rc.d/rc.fuse3.new
fi

config etc/rc.d/rc.fuse3.new
config etc/fuse.conf.new
( cd bin ; rm -rf fusermount3 )
( cd bin ; ln -sf /usr/bin/fusermount3 fusermount3 )
( cd sbin ; rm -rf mount.fuse3 )
( cd sbin ; ln -sf /usr/sbin/mount.fuse3 mount.fuse3 )
( cd usr/lib ; rm -rf libfuse3.so )
( cd usr/lib ; ln -sf libfuse3.so.3 libfuse3.so )
( cd usr/lib ; rm -rf libfuse3.so.3 )
( cd usr/lib ; ln -sf libfuse3.so.3.14.1 libfuse3.so.3 )
